{ config, lib, pkgs, imports, modulesPath, ... }:

with lib;
{
  # NOTE
  # Some 'global' areas have defaults set in their respective modules.
  # These will be applied when the modules are loaded
  # Not the global role.
  # Not sure at this point a good way to manage globals in one place
  # without mono-repo config.


  imports =
    [
      (modulesPath + "/installer/scan/not-detected.nix") # Generated by nixos-config-generate
      ./global
    ];

  mySystem = {

    # basics for all devices
    time.timeZone = "Australia/Melbourne";
    security.increaseWheelLoginLimits = true;
    system.packages = [ pkgs.bat ];

    # Lets see if fish everywhere is OK on the pi's
    # TODO decide if i drop to bash on pis?
    shell.fish.enable = true;
    # But wont enable plugins globally, leave them for workstations
  };




  networking.useDHCP = lib.mkDefault true;



}



